Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class RelaxedParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RelaxedParser

    final class RelaxedParser
    extends Object

A relaxed parser, which tends to allow more, but won't really catch valid syntax errors.

Method Summary
`protected AST` | `doParse(UnicodeEscapingReader reader)`
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### doParse

    protected AST doParse(UnicodeEscapingReader reader)

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2010 The Codehaus. All rights reserved.